require "import"
import "android.widget.Button"
import "android.widget.LinearLayout"
import "android.view.View"
import "android.content.Intent"
import "android.net.Uri"
import "android.app.Activity"
activity.setTitle("Magazine Accesibile")

function createButton(text, url)
    local button = Button(activity)
    button.setText(text)
    button.setOnClickListener(luajava.createProxy("android.view.View$OnClickListener", {
        onClick = function(view)
            local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
            activity.startActivity(intent)
        end
    }))
    return button
end

mainLayout = LinearLayout(activity)
mainLayout.setOrientation(LinearLayout.VERTICAL)
local buttonAnjo = createButton("Anjo - Magazin pentru nevăzători", "https://www.anjo.ro/")
mainLayout.addView(buttonAnjo)

local buttonEAccesibil = createButton("eAccesibil - Produse pentru nevăzători", "https://eaccesibil.ro/")
mainLayout.addView(buttonEAccesibil)

activity.setContentView(mainLayout)